"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TIMELINE_EVENTS_FIELDS = void 0;

var _constants = require("../../../../../../common/cti/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */


const TIMELINE_EVENTS_FIELDS = ['@timestamp', 'signal.status', 'signal.group.id', 'signal.original_time', 'signal.rule.filters', 'signal.rule.from', 'signal.rule.language', 'signal.rule.query', 'signal.rule.name', 'signal.rule.to', 'signal.rule.id', 'signal.rule.index', 'signal.rule.type', 'signal.original_event.kind', 'signal.original_event.module', 'signal.rule.version', 'signal.rule.severity', 'signal.rule.risk_score', 'signal.threshold_result', 'event.code', 'event.module', 'event.action', 'event.category', 'host.name', 'user.name', 'source.ip', 'destination.ip', 'message', 'system.auth.ssh.signature', 'system.auth.ssh.method', 'system.audit.package.arch', 'system.audit.package.entity_id', 'system.audit.package.name', 'system.audit.package.size', 'system.audit.package.summary', 'system.audit.package.version', 'event.created', 'event.dataset', 'event.duration', 'event.end', 'event.hash', 'event.id', 'event.kind', 'event.original', 'event.outcome', 'event.risk_score', 'event.risk_score_norm', 'event.severity', 'event.start', 'event.timezone', 'event.type', 'agent.type', 'auditd.result', 'auditd.session', 'auditd.data.acct', 'auditd.data.terminal', 'auditd.data.op', 'auditd.summary.actor.primary', 'auditd.summary.actor.secondary', 'auditd.summary.object.primary', 'auditd.summary.object.secondary', 'auditd.summary.object.type', 'auditd.summary.how', 'auditd.summary.message_type', 'auditd.summary.sequence', 'file.Ext.original.path', 'file.name', 'file.target_path', 'file.extension', 'file.type', 'file.device', 'file.inode', 'file.uid', 'file.owner', 'file.gid', 'file.group', 'file.mode', 'file.size', 'file.mtime', 'file.ctime', 'file.path', // NOTE: 7.10+ file.Ext.code_signature populated
// as array of objects, prior to that populated as
// single object
'file.Ext.code_signature', 'file.Ext.code_signature.subject_name', 'file.Ext.code_signature.trusted', 'file.hash.sha256', 'host.os.family', 'host.id', 'host.ip', 'registry.key', 'registry.path', 'rule.reference', 'source.bytes', 'source.packets', 'source.port', 'source.geo.continent_name', 'source.geo.country_name', 'source.geo.country_iso_code', 'source.geo.city_name', 'source.geo.region_iso_code', 'source.geo.region_name', 'destination.bytes', 'destination.packets', 'destination.port', 'destination.geo.continent_name', 'destination.geo.country_name', 'destination.geo.country_iso_code', 'destination.geo.city_name', 'destination.geo.region_iso_code', 'destination.geo.region_name', 'dns.question.name', 'dns.question.type', 'dns.resolved_ip', 'dns.response_code', 'endgame.exit_code', 'endgame.file_name', 'endgame.file_path', 'endgame.logon_type', 'endgame.parent_process_name', 'endgame.pid', 'endgame.process_name', 'endgame.subject_domain_name', 'endgame.subject_logon_id', 'endgame.subject_user_name', 'endgame.target_domain_name', 'endgame.target_logon_id', 'endgame.target_user_name', 'signal.rule.saved_id', 'signal.rule.timeline_id', 'signal.rule.timeline_title', 'signal.rule.output_index', 'signal.rule.note', 'signal.rule.threshold', 'signal.rule.exceptions_list', 'signal.rule.building_block_type', 'suricata.eve.proto', 'suricata.eve.flow_id', 'suricata.eve.alert.signature', 'suricata.eve.alert.signature_id', 'network.bytes', 'network.community_id', 'network.direction', 'network.packets', 'network.protocol', 'network.transport', 'http.version', 'http.request.method', 'http.request.body.bytes', 'http.request.body.content', 'http.request.referrer', 'http.response.status_code', 'http.response.body.bytes', 'http.response.body.content', 'tls.client_certificate.fingerprint.sha1', 'tls.fingerprints.ja3.hash', 'tls.server_certificate.fingerprint.sha1', 'user.domain', 'winlog.event_id', 'process.exit_code', 'process.hash.md5', 'process.hash.sha1', 'process.hash.sha256', 'process.parent.name', 'process.parent.pid', 'process.pid', 'process.name', 'process.ppid', 'process.args', 'process.entity_id', 'process.executable', 'process.title', 'process.working_directory', 'zeek.session_id', 'zeek.connection.local_resp', 'zeek.connection.local_orig', 'zeek.connection.missed_bytes', 'zeek.connection.state', 'zeek.connection.history', 'zeek.notice.suppress_for', 'zeek.notice.msg', 'zeek.notice.note', 'zeek.notice.sub', 'zeek.notice.dst', 'zeek.notice.dropped', 'zeek.notice.peer_descr', 'zeek.dns.AA', 'zeek.dns.qclass_name', 'zeek.dns.RD', 'zeek.dns.qtype_name', 'zeek.dns.qtype', 'zeek.dns.query', 'zeek.dns.trans_id', 'zeek.dns.qclass', 'zeek.dns.RA', 'zeek.dns.TC', 'zeek.http.resp_mime_types', 'zeek.http.trans_depth', 'zeek.http.status_msg', 'zeek.http.resp_fuids', 'zeek.http.tags', 'zeek.files.session_ids', 'zeek.files.timedout', 'zeek.files.local_orig', 'zeek.files.tx_host', 'zeek.files.source', 'zeek.files.is_orig', 'zeek.files.overflow_bytes', 'zeek.files.sha1', 'zeek.files.duration', 'zeek.files.depth', 'zeek.files.analyzers', 'zeek.files.mime_type', 'zeek.files.rx_host', 'zeek.files.total_bytes', 'zeek.files.fuid', 'zeek.files.seen_bytes', 'zeek.files.missing_bytes', 'zeek.files.md5', 'zeek.ssl.cipher', 'zeek.ssl.established', 'zeek.ssl.resumed', 'zeek.ssl.version', ..._constants.CTI_ROW_RENDERER_FIELDS];
exports.TIMELINE_EVENTS_FIELDS = TIMELINE_EVENTS_FIELDS;